classification
Title: Reuse shutil.which() in webbrowser module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: georg.brandl, orsenthil, python-dev, serhiy.storchaka, tshepang
Priority: normal Keywords: patch

Created on 2013-01-18 20:44 by serhiy.storchaka, last changed 2013-02-13 10:56 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
webbrowser_which.patch serhiy.storchaka, 2013-01-18 20:44 review
Messages (4)
msg180220 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-18 20:44
We can get rid of private webbrowser functions and reuse shutil.which().
msg181999 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-02-13 07:16
Serhiy: The patch LGTM.
msg182012 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-13 10:20
New changeset 050c94f5f72c by Serhiy Storchaka in branch 'default':
Issue #16996: webbrowser module now uses shutil.which() to find a
http://hg.python.org/cpython/rev/050c94f5f72c
msg182017 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-13 10:41
Thank you, Senthil.
History
Date User Action Args
2013-02-13 10:56:50serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-02-13 10:41:25serhiy.storchakasetmessages: + msg182017
2013-02-13 10:20:34python-devsetnosy: + python-dev
messages: + msg182012
2013-02-13 07:16:22orsenthilsetnosy: + orsenthil
messages: + msg181999
2013-02-12 23:47:04serhiy.storchakasetassignee: serhiy.storchaka
2013-01-26 16:59:14tshepangsetnosy: + tshepang
2013-01-18 20:44:35serhiy.storchakacreate